Package org.eclipse.jface.text.contentassist

# Interface ICompletionProposalExtension4

public interface ICompletionProposalExtension4
Extends `ICompletionProposal` with the following functions:

- specify whether a proposal is automatically insertable

Since:
  3.1

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAutoInsertable()`
Returns `true` if the proposal may be automatically inserted, `false` otherwise.

## Method Details

### isAutoInsertable

boolean isAutoInsertable()
Returns `true` if the proposal may be automatically inserted, `false` otherwise. Automatic insertion can happen if the proposal is the only one being proposed, in which case the content assistant may decide to not prompt the user with a list of proposals, but simply insert the single proposal. A proposal may veto this behavior by returning `false` to a call to this method.

Returns:
  `true` if the proposal may be inserted automatically, `false` if not